Skip to main content

Generate Quick Insights Report

API Description​

Create a quick report. A Quick Report is not persisted, no id is returned.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/reports/quick-report
Path Example
POST {url}/api/v1/orgs/9467895078742654934/reports/quick-report

Request Headers​

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body​

NameTypeInputDescription
resourceTypestring
REQUIRED
Possible values: LOCATION or SHOWCASE (Use SHOWCASE for SHOWCASE_TAP report, only)
resourceIdstring
REQUIRED
Apple-generated unique identifier assigned to an instance of a resourceType
reportNamestring
REQUIRED
Download
startDatedate
REQUIRED
Report content start date
endDatedate
REQUIRED
Report content end date
useLocalTimeboolean
REQUIRED
true requests report data based upon location time zone. When useLocalTime is not present or false, report data is based upon UTC
timeGranularitystring
REQUIRED
Possible values: DAY, WEEK, or MONTH
Example Request Body (raw JSON)
{
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"reportName": "SEARCH_LOCATION_TAP",
"startDate": "2026-10-01",
"endDate": "2026-10-07",
"useLocalTime": false,
"timeGranularity": "DAY"
}

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 3e1318e4-a34f-49a7-8640-33d70bb4f49m
content-type: application/json

Response Body​

NameOutput
$.orgId
REQUIRED
$.request
REQUIRED
$.request.timezone
REQUIRED
$.meta
REQUIRED
$.data
REQUIRED

Meta​

Meta (object) provides report's available dimensions and metrics.

ParentNameTypeOutputDescription
metadimensions[]array
REQUIRED
Report's available dimensions
dimensions[]namestring
REQUIRED
Name of a dimension
dimensions[]attributes[]array
REQUIRED
List of properties associated with the named dimension
attributes[]namestring
REQUIRED
Name of a dimension. Download
attributes[]typestring
REQUIRED
The data type of the associated dimension
metametrics[]array
REQUIRED
Report's available metrics
metrics[]namestring
REQUIRED
Name of a metric. Download
metrics[]typestring
REQUIRED
The data type of the associated named metric

Data​

data (object) provides report data.

ParentNameTypeOutputDescription
datatuples[]array
REQUIRED
List of tuple objects
tuples[]dimensions[]array
REQUIRED
Comma-separated list of values. Values are ordered. Value's position in the array, and associated meaning, is related to the corresponding position of a name/type in $.meta.dimensions[]
tuples[]metrics[]array
REQUIRED
Comma-separated list of values. Values are ordered. Value's position in the array, and associated meaning, is related to the corresponding position of a name/type in $.meta.metrics[]

Example Response Bodies​

Example One
{
"orgId": "9467895078742654934",
"request": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"reportName": "SEARCH_LOCATION_TAP",
"startDate": "2026-10-01",
"endDate": "2026-10-07",
"timezone": "UTC",
"useLocalTime": false,
"timeGranularity": "DAY"
},
"meta": {
"dimensions": [
{
"name": "LOCATION",
"attributes": [
{
"name": "id",
"type": "STRING"
}
]
},
{
"name": "DATE",
"attributes": [
{
"name": "date",
"type": "ISO-8601"
}
]
}
],
"metrics": [
{
"name": "SEARCH_LOCATION_TAP",
"type": "INTEGER"
}
]
},
"data": {
"tuples": [
{
"dimensions": [ "180416478659477558", "2024-05-01" ],
"metrics": [ "22" ]
},
{
"dimensions": [ "180416478659477558","2024-05-02" ],
"metrics": [ "24" ]
},
{
"dimensions": [ "180416478659477558","2024-05-03" ],
"metrics": [ "24" ]
},
{
"dimensions": [ "180416478659477558","2024-05-04" ],
"metrics": [ "32" ]
},
{
"dimensions": [ "180416478659477558","2024-05-05" ],
"metrics": [ "12" ]
},
{
"dimensions": [ "180416478659477558","2024-05-06" ],
"metrics": [ "26" ]
},
{
"dimensions": [ "180416478659477558","2024-05-07" ],
"metrics": [ "22" ]
}
]
}
}
Example Two

When no report data is available.

{
"orgId": "9467895078742654934",
"request": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"reportName": "SEARCH_LOCATION_TAP",
"startDate": "2026-06-01",
"endDate": "2026-06-07",
"timezone": "UTC",
"useLocalTime": false,
"timeGranularity": "DAY"
},
"meta": {},
"data": {}
}